import gulp from 'gulp'
import {exec} from 'child_process'

gulp.task('copy-package', () => (
  gulp.src(['./package.json', './README.md'])
  .pipe(gulp.dest('./dist'))
))

gulp.task('release', ['copy-package'], (cb) => {
  exec('npm publish ./dist', (err, stdout, stderr) => {
    console.log(stdout)
    console.log(stderr)
    cb(err)
  })
})
